> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User info

> Get basic information for the logged in user making this request including preferences.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /user-info
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /user-info:
    get:
      tags:
        - Users
      summary: User info
      description: >-
        Get basic information for the logged in user making this request
        including preferences.
      operationId: GET-V4-/user-info
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfo'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            user_info = client.users.info()
            print(user_info.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tuserInfo, err := client.Users.Info(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", userInfo.ID)\n}\n"
components:
  schemas:
    UserInfo:
      properties:
        id:
          type: string
          title: Id
          description: User id
        first_name:
          title: First Name
          description: First name
          type: string
        last_name:
          title: Last Name
          description: Last name
          type: string
        email:
          type: string
          title: Email
          description: E-mail address
        access_profiles:
          items:
            $ref: '#/components/schemas/AccessProfile'
          type: array
          title: Access Profiles
          description: A list of access profiles that the selected user has access to
        organization_id:
          title: Organization Id
          description: The organization ID of the user.
          type: string
        is_organization_admin:
          title: Is Organization Admin
          description: True if the current user is an organization admin.
          type: boolean
        is_deployment_admin:
          title: Is Deployment Admin
          description: True if the current user is a deployment admin.
          type: boolean
        preferences:
          title: Preferences
          description: User preferences that can be stored in the Scale GenAI Platform.
          additionalProperties: true
          type: object
        assumed_access_profile:
          $ref: '#/components/schemas/AccessProfile'
          description: >-
            Present if the user has assumed a specific access profile via JWT
            token.
      type: object
      required:
        - id
        - email
        - access_profiles
      title: UserInfo
    AccessProfile:
      properties:
        id:
          type: string
          title: Id
          description: Access profile id.
        identity:
          $ref: '#/components/schemas/Identity'
          description: The identity in the access profile.
        role:
          $ref: '#/components/schemas/Role'
          description: The role of the user in the access profile.
        account:
          $ref: '#/components/schemas/Account'
          description: The account in the access profile.
      type: object
      required:
        - id
        - identity
        - role
        - account
      title: AccessProfile
    Identity:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: identity
          title: Object
          default: identity
        type:
          $ref: '#/components/schemas/IdentityType'
      type: object
      required:
        - id
        - type
      title: Identity
    Role:
      type: string
      enum:
        - manager
        - admin
        - editor
        - member
        - labeler
        - disabled
        - invited
        - viewer
      title: Role
    Account:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        organization_id:
          title: Organization Id
          type: string
        status:
          type: string
          title: Status
          description: 'The status of the account: active, disabled, locked'
      type: object
      required:
        - id
        - name
        - status
      title: Account
    IdentityType:
      type: string
      enum:
        - user
        - service_account
      title: IdentityType

````